---
search:
  tags:
    - stage-templates
    - GET
seo:
  description: >-
    List stage templates. Reference for the GET
    /workspaces/{organizationId}/stage-templates endpoint in the Pile API.
sidebar:
  label: List stage templates
  badge: GET
title: List stage templates
type: openapi-operation
---
`GET /workspaces/{organizationId}/stage-templates`

**Responses**

- `200` — Stage template list

Response example, 200:

```json
{
  "templates": [
    {
      "id": "string",
      "organizationId": "string",
      "entityType": "issue",
      "status": "string",
      "stepKey": "string",
      "title": "string",
      "required": true,
      "ownerAgent": "string",
      "condition": {
        "field": "string",
        "equals": "string"
      },
      "position": 0,
      "teamId": "string",
      "createdBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
```
